WebM Codec SDK

Typedefs | Functions
Slice-Based Decoding Functions
Common Algorithm Interface » Decoder Algorithm Interface

## Typedefs
typedef void(* | vpx_codec_put_slice_cb_fn_t) (void *user_priv, const vpx_image_t *img, const vpx_image_rect_t *valid, const vpx_image_rect_t *update)
| put slice callback prototype

## Functions
vpx_codec_err_t | vpx_codec_register_put_slice_cb (vpx_codec_ctx_t *ctx, vpx_codec_put_slice_cb_fn_t cb, void *user_priv)
| Register for notification of slice completion.

## Detailed Description

The following function is required to be implemented for all decoders that advertise the VPX_CODEC_CAP_PUT_SLICE capability. Calling this function for codecs that don't advertise this capability will result in an error code being returned, usually VPX_CODEC_INCAPABLE.

## Typedef Documentation

## ◆ vpx_codec_put_slice_cb_fn_t

typedef void(* vpx_codec_put_slice_cb_fn_t) (void *user_priv, const vpx_image_t *img, const vpx_image_rect_t *valid, const vpx_image_rect_t *update)

put slice callback prototype

This callback is invoked by the decoder to notify the application of the availability of partially decoded image data.

## Function Documentation

## ◆ vpx_codec_register_put_slice_cb()

vpx_codec_err_t vpx_codec_register_put_slice_cb | ( | vpx_codec_ctx_t * | ctx,
|  | vpx_codec_put_slice_cb_fn_t | cb,
|  | void * | user_priv )

Register for notification of slice completion.

Registers a given function to be called when a decoded slice is available.

Parameters

  [in] | ctx | Pointer to this instance's context
  [in] | cb | Pointer to the callback function
  [in] | user_priv | User's private data

Return values

  VPX_CODEC_OK | Callback successfully registered.
  VPX_CODEC_ERROR | Decoder context not initialized.
  VPX_CODEC_INCAPABLE | Algorithm not capable of posting slice completion.